package com.bonus.boot.manager.positive.service.Impl;

import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.manager.model.SysType;
import com.bonus.boot.manager.manager.utils.UserUtil;
import com.bonus.boot.manager.physical.entity.CountImportBean;
import com.bonus.boot.manager.physical.entity.NegativeResultBean;
import com.bonus.boot.manager.positive.dao.NegativeResultDao;
import com.bonus.boot.manager.positive.service.NegativeResultService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("negativeResultService")
public class NegativeResultServiceimple implements NegativeResultService {

    @Resource
    private NegativeResultDao NegativeResultDao;

    public List<NegativeResultBean> getList(NegativeResultBean o) {
        o.setHospitalId(UserUtil.getLoginUser().getHospitalId());
        return NegativeResultDao.getList(o);
    }

    @Override
    public PersonnelLibraryBean getListById(String id) {
        return null;
    }

    @Override
    public int getMessageByPhyNumber(NegativeResultBean o) {
        return NegativeResultDao.getMessageByPhyNumber(o);
    }

    @Override
    public List<SysType> getIllnessType(NegativeResultBean o) {

        return NegativeResultDao.getIllnessType(o);
    }

    @Override
    public int addCountResultMessage(CountImportBean o) {
        return NegativeResultDao.addCountResultMessage(o);
    }


}
